com.verisign.epp.codec.secureauthinfo

## Class EPPSecureAuthInfoTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.secureauthinfo.EPPSecureAuthInfoTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPSecureAuthInfoTst
      extends junit.framework.TestCase

  Is a unit test of supporting the Secure Authorization Information for Transfer draft, which includes creating each of the sample commands and responses in the draft.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPSecureAuthInfoTst(java.lang.String name)` Creates a new EPPSecureAuthInfoTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPSecureAuthInfoTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testContactCreate()` Unit test of the example of passing empty authorization information in an [RFC5733] contact create command.
    `void` | `testContactUpdateUnsetEmpty()` Unit test of the example of unsetting the authorization information with an empty authorization information in an [RFC5733] contact update command
    `void` | `testDomainCreate()` Unit test of the example of passing empty authorization information in an [RFC5731] domain name create command.
    `void` | `testDomainInfo()` Unit test of the example of passing a non-empty authorization information in an [RFC5731] domain name info command to verify the authorization information value.
    `void` | `testDomainTransfer()` Unit test of the example of passing a non-empty authorization information in an [RFC5731] domain name transfer request command to authorize the transfer.
    `void` | `testDomainUpdateSet()` Unit test of the example of removing the "clientTransferProhibited" status and setting the authorization information in an [RFC5731] domain name update command.
    `void` | `testDomainUpdateUnsetEmpty()` Unit test of the example of unsetting the authorization information with an empty authorization information in an [RFC5731] domain name update command.
    `void` | `testDomainUpdateUnsetNull()` Unit test of the example of unsetting the authorization information explicitly in an [RFC5731] domain name update command.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPSecureAuthInfoTst

          public EPPSecureAuthInfoTst(java.lang.String name)

      Creates a new EPPSecureAuthInfoTst object.
      Parameters:
        `name` - Name of test

  - ### Method Detail

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test of the example of passing empty authorization information in an [RFC5731] domain name create command.

    - #### testContactCreate

          public void testContactCreate()

      Unit test of the example of passing empty authorization information in an [RFC5733] contact create command.

    - #### testDomainUpdateSet

          public void testDomainUpdateSet()

      Unit test of the example of removing the "clientTransferProhibited" status and setting the authorization information in an [RFC5731] domain name update command.

    - #### testDomainUpdateUnsetNull

          public void testDomainUpdateUnsetNull()

      Unit test of the example of unsetting the authorization information explicitly in an [RFC5731] domain name update command.

    - #### testDomainUpdateUnsetEmpty

          public void testDomainUpdateUnsetEmpty()

      Unit test of the example of unsetting the authorization information with an empty authorization information in an [RFC5731] domain name update command.

    - #### testContactUpdateUnsetEmpty

          public void testContactUpdateUnsetEmpty()

      Unit test of the example of unsetting the authorization information with an empty authorization information in an [RFC5733] contact update command

    - #### testDomainInfo

          public void testDomainInfo()

      Unit test of the example of passing a non-empty authorization information in an [RFC5731] domain name info command to verify the authorization information value.

    - #### testDomainTransfer

          public void testDomainTransfer()

      Unit test of the example of passing a non-empty authorization information in an [RFC5731] domain name transfer request command to authorize the transfer.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPSecureAuthInfoTst`.
      Returns:
        Tests to execute

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test